#
# spec file for package obs-service-github_tarballs
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define service github_tarballs

Name:           obs-service-%{service}
Version:        0.3.0
Release:        2.1
Summary:        An OBS source service: updates package tarballs
License:        GPL-2.0-or-later
Group:          Development/Tools/Building
Url:            https://github.com/openSUSE/obs-service-%{service}
Source:         https://github.com/openSUSE/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Requires:       python >= 2.6
Requires:       python-argparse
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for the openSUSE Build Service.

It downloads tarballs from upstream and updates the spec file version
and changes file using information from a github repository.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_prefix}/lib/obs/service
install -m 0755 github_tarballs %{buildroot}%{_prefix}/lib/obs/service
install -m 0644 github_tarballs.service %{buildroot}%{_prefix}/lib/obs/service

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service

%changelog
* Mon Nov 26 2018 chris@computersalat.de
- Update to version 0.3.0
  * complete rework of service to download
  - Latest Release Tarball
  - updating your spec and changes file
* Tue Jun 25 2013 iartarisi@suse.com
- Update to version 0.2.1
  + Don't update the changes file if there were no new commits
* Fri May  3 2013 speilicke@suse.com
- Update to version 0.2:
  + Various bugfixes
* Thu Jan  3 2013 iartarisi@suse.com
- init
